![npm (scoped)](https://img.shields.io/npm/v/@vertx/web-graphql.svg)
![npm](https://img.shields.io/npm/l/@vertx/web-graphql.svg)
![Security Status](https://snyk-widget.herokuapp.com/badge/npm/%40vertx%2Fweb-graphql/badge.svg)

Generated JavaScript bindings for Eclipse Vert.x.

## Documentation

* [API Docs](https://reactiverse.io/es4x/@vertx/web-graphql)
* [Manual](https://reactiverse.io/es4x/manual/@vertx/web-graphql)
* [NPM module](https://www.npmjs.com/package/@vertx/web-graphql)

## Usage

Import the required `API`/`Enum`/`DataObject` and profit!

```js
// Base API
import * as API from '@vertx/web-graphql';
// Base ENUMs
import * as ENUMS from '@vertx/web-graphql/enums';
// DataObject's
import * as OPTIONS from '@vertx/web-graphql/options';

// refer to the API docs for specific help...

// your code here!!!

```

## Typescript

This package includes [Typescript](http://www.typescriptlang.org/) typedefinitions and your IDE should find then automatically.

When working in a project you can enable type hinting for the runtime as:

```js
/// <definition types="es4x" />
// @ts-check

// your TypeScript code here...
```

## Links

* [Eclipse Vert.x](https://vertx.io)
* [ES4X](https://reactiverse.io/es4x)
